/* $Id: FileInfo.h,v 1.2 2003/10/09 18:18:34 short Exp $
 * Include file for CORBA/ORBit server side of GnomeVFSFileInfo handling
 * Copyright (C) 2003 Jan Kratochvil <project-captive@jankratochvil.net>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; exactly version 2 of June 1991 is required
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _SERVER_FILEINFO_H
#define _SERVER_FILEINFO_H 1


#include <glib/gmacros.h>
#include "sandbox.h"
#include <libgnomevfs/gnome-vfs-file-info.h>


G_BEGIN_DECLS

GnomeVFSResult captive_sandbox_file_info_corba_to_captive
		(GnomeVFSFileInfo *file_info_captive,const Captive_GnomeVFSFileInfo *file_info_corba);
GnomeVFSResult captive_sandbox_file_info_captive_to_corba
		(Captive_GnomeVFSFileInfo *file_info_corba,const GnomeVFSFileInfo *file_info_captive);
GnomeVFSResult captive_sandbox_file_info_set_mask_captive_to_corba
		(Captive_GnomeVFSFileInfo *file_info_corba,const GnomeVFSFileInfo *file_info_captive,GnomeVFSSetFileInfoMask mask);

G_END_DECLS


#endif /* _SERVER_FILEINFO_H */
